aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/samba/files/init-essential
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/samba/files/init-essential')
-rw-r--r--recipes/samba/files/init-essential68
1 files changed, 68 insertions, 0 deletions
diff --git a/recipes/samba/files/init-essential b/recipes/samba/files/init-essential
new file mode 100644
index 0000000000..59184ce733
--- /dev/null
+++ b/recipes/samba/files/init-essential
@@ -0,0 +1,68 @@
+#! /bin/sh
+#
+# This is an init script for openembedded
+# Copy it to /etc/init.d/samba and type
+# > update-rc.d samba defaults 60
+#
+
+
+smbd=/usr/sbin/smbd
+test -x "$smbd" || exit 0
+nmbd=/usr/sbin/nmbd
+test -x "$nmbd" || exit 0
+
+
+if test -e /etc/samba/private/smbpasswd
+then
+ if test -n "`cat /etc/samba/private/smbpasswd`"
+ then
+ CONFIG_FILE="/etc/samba/smb.conf"
+ fi
+fi
+
+test -z "$CONFIG_FILE" && CONFIG_FILE="/etc/samba/smb-essential-inactive.conf"
+
+case "$1" in
+ start)
+ echo -n "Starting Samba: smbd"
+ start-stop-daemon --start --quiet --exec $smbd -- -s $CONFIG_FILE
+ echo -n " nmbd"
+ start-stop-daemon --start --quiet --exec $nmbd -- -s $CONFIG_FILE
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping Samba: smbd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/smbd.pid
+ echo -n " nmbd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/nmbd.pid
+ echo "."
+ ;;
+ reload|force-reload)
+ start-stop-daemon --stop --quiet --signal 1 --exec $smbd -- -s $CONFIG_FILE
+ start-stop-daemon --stop --quiet --signal 1 --exec $nmbd -- -s $CONFIG_FILE
+ ;;
+ restart)
+ echo -n "Stopping Samba: smbd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/smbd.pid
+ echo -n " nmbd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/nmbd.pid
+ echo ""
+ echo -n "Waiting for samba processes to die off"
+ for i in 1 2 3 ;
+ do
+ sleep 1
+ echo -n "."
+ done
+ echo ""
+ echo -n "Starting Samba: smbd"
+ start-stop-daemon --start --quiet --exec $smbd -- -s $CONFIG_FILE
+ echo -n " nmbd"
+ start-stop-daemon --start --quiet --exec $nmbd -- -s $CONFIG_FILE
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/samba {start|stop|reload|restart|force-reload}"
+ exit 1
+esac
+
+exit 0